package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;

/**
 * 优惠券发放表实体
 * 表名 tb_cf_coupon_issue
 *
 * @author lipengjun
 * @date 2019-10-21 12:11:53
 */
public class TbCfCouponIssueEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 优惠卷发放id
     */
    private String couponIssueId;
    /**
     * 购物券id
     */
    private String couponId;
    /**
     * 用户状态,10(未下单的用户),20（新用户）,30（已下单的用户）,40（添加购物车的用户）
     */
    private Integer userStatus;
    /**
     * 用户等级1，2，3，4
     */
    private Integer userLevel;

    /**
     * 设置：优惠卷发放id
     */
    public void setCouponIssueId(String couponIssueId) {
        this.couponIssueId = couponIssueId;
    }

    /**
     * 获取：优惠卷发放id
     */
    public String getCouponIssueId() {
        return couponIssueId;
    }
    /**
     * 设置：优惠券标题
     */
    public void setCouponId(String couponId) {
        this.couponId = couponId;
    }

    /**
     * 获取：优惠券标题
     */
    public String getCouponId() {
        return couponId;
    }
    /**
     * 设置： 用户状态,10(未下单的用户),20（新用户）,30（已下单的用户）,40（添加购物车的用户）
     */
    public Integer getUserStatus() {
        return userStatus;
    }
    /**
     * 获取：用户状态,10(未下单的用户),20（新用户）,30（已下单的用户）,40（添加购物车的用户）
     */
    public void setUserStatus(Integer userStatus) {
        this.userStatus = userStatus;
    }
    /**
     * 获取：用户等级1，2，3，4
     */
    public Integer getUserLevel() {
        return userLevel;
    }
    /**
     * 获取：用户等级1，2，3，4
     */
    public void setUserLevel(Integer userLevel) {
        this.userLevel = userLevel;
    }
}
